Wallets, tokens & networks
Get Paxos Transaction History
Merges Paxos withdrawal requests and on-chain deposit transfer logs for a wallet, newest first.
POSThttps://api.toku.com/tga/get-paxos-transaction-history
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/get-paxos-transaction-history' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"walletAddress": "string",
"chainId": 1
}'200 response
[
{
"id": "string",
"type": "deposit",
"status": "pending",
"amount": "string",
"token": "string",
"walletAddress": "string",
"timestamp": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
walletAddressstringrequiredAllowed: matches ^0x[a-fA-F0-9]{40}$
chainIdanyrequiredDefault: 1
Response
200Successful response
idstringrequiredtypestringrequiredAvailable options: deposit, withdraw
statusstringrequiredAvailable options: pending, completed, refunded
amountstringrequiredtokenstringrequiredwalletAddressstringrequiredtimestampstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits